@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT KOBEI ΤΑ ΒΙΝΤΕΟ ΠΟΥ ΖΗΤΗΣΑΤΕ ΣΤΙΣ ΔΙΑΡΚΕΙΕΣ ΠΟΥ ΤΟΥ ΟΡΙΖΕΤΕ, ΞΕΧΩΡΙΣΤΑ ΓΙΑ ΤΟ ΚΑΘΕΝΑ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF
rem To κόψιμο χρόνου είναι μπλέξιμο και εξηγειται εδω και εδω...
rem https://trac.ffmpeg.org/wiki/Seeking#Cuttingsmallsections
rem https://stackoverflow.com/questions/18444194/cutting-multimedia-files-based-on-start-and-end-time-using-ffmpeg

echo.
echo Όρισε την Διάρκεια για το Βίντεο "%~1" ..
echo.

echo. *******************************
echo    ΑΠΟ ΠΟΥ ΞΕΚΙΝΑΕΙ ΤΟ ΚΟΨΙΜΟ?
echo. *******************************
echo.
set "inStartSS=00"
set /p inStartSS=Γράψε τα ΔΕΥΤΕΡΟΛΕΠΤΑ σε πλήθος των 2 που θες να ξεκινάει το κόψιμο, π.χ. 12, αλλιώς Enter για default 00:
rem echo.

echo.
set "inStartMM=00"
set /p inStartMM=Γράψε τα ΛΕΠΤΑ σε πλήθος των 2 που θες να ξεκινάει το κόψιμο, π.χ. 07, αλλιώς Enter για default 00:
rem echo.

echo.
set "inStartHH=00"
set /p inStartHH=Γράψε τις ΩΡΕΣ σε πλήθος των 2 που θες να ξεκινάει το κόψιμο, π.χ. 03, αλλιώς Enter για default 00:
rem echo.
echo.

echo. ********************************
echo    ΚΑΙ ΠΟΥ ΤΕΛΕΙΩΝΕΙ ΤΟ ΚΟΨΙΜΟ?
echo. ********************************
echo.
set "inEndSS=59"
set /p inEndSS=Γράψε τα ΔΕΥΤΕΡΟΛΕΠΤΑ σε πλήθος των 2 που θες να τελιώνει το κόψιμο, π.χ. 21, αλλιώς Enter για default 59:
rem echo.

echo.
set "inEndMM=59"
set /p inEndMM=Γράψε τα ΛΕΠΤΑ σε πλήθος των 2 που θες να τελιώνει το κόψιμο, π.χ. 03, αλλιώς Enter για default 59:
rem echo.

echo.
set "inEndHH=99"
set /p inEndHH=Γράψε τις ΩΡΕΣ των ΩΡΩΝ σε πλήθος των 2 που θες να τελιώνει το κόψιμο, π.χ.02, αλλιώς Enter για default 99:
rem echo.

echo.
echo Κόβω την Διάρκεια στο Βίντεο "%~1" ..
echo.
rem call ffmpeg -v quiet -stats -i "%~1" -vf "crop=%inWIDTH%:%inHEIGHT%:%outWIDTH%:%outHEIGHT%"  -c:a copy "%~p1%~n1-cropped-%inWIDTH%_%inHEIGHT%.%~x1"
call ffmpeg -v quiet -stats -loglevel error  -ss "%inStartHH%:%inStartMM%:%inStartSS%" -i "%~1" -to "%inEndHH%:%inEndMM%:%inEndSS%" -c copy -copyts "%~p1%~n1-trimmed.%~x1"


if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)
if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0